// Generated from monitor_id.pl

#include "monitor.h"

/*static*/ const std::vector<MonitorManager::MonitorInfo>
MonitorManager::info {
	{ ID_MONITOR_ATC0,	VMCap::M88K,	{ "atc0" } },
	{ ID_MONITOR_ATC1,	VMCap::M88K,	{ "atc1" } },
	{ ID_MONITOR_ATC2,	VMCap::M88K,	{ "atc2" } },
	{ ID_MONITOR_ATC3,	VMCap::M88K,	{ "atc3" } },
	{ ID_MONITOR_ATC4,	VMCap::M88K,	{ "atc4" } },
	{ ID_MONITOR_ATC5,	VMCap::M88K,	{ "atc5" } },
	{ ID_MONITOR_ATC6,	VMCap::M88K,	{ "atc6" } },
	{ ID_MONITOR_ATC7,	VMCap::M88K,	{ "atc7" } },
	{ ID_MONITOR_BREAKPOINT,	VMCap::ALL,	{ "breakpoint", "bp" } },
	{ ID_MONITOR_BT454,	VMCap::LUNA,	{ "bt454" } },
	{ ID_MONITOR_CMMU0,	VMCap::M88K,	{ "cmmu0" } },
	{ ID_MONITOR_CMMU1,	VMCap::M88K,	{ "cmmu1" } },
	{ ID_MONITOR_CMMU2,	VMCap::M88K,	{ "cmmu2" } },
	{ ID_MONITOR_CMMU3,	VMCap::M88K,	{ "cmmu3" } },
	{ ID_MONITOR_CMMU4,	VMCap::M88K,	{ "cmmu4" } },
	{ ID_MONITOR_CMMU5,	VMCap::M88K,	{ "cmmu5" } },
	{ ID_MONITOR_CMMU6,	VMCap::M88K,	{ "cmmu6" } },
	{ ID_MONITOR_CMMU7,	VMCap::M88K,	{ "cmmu7" } },
	{ ID_MONITOR_CRTC,	VMCap::X68030,	{ "crtc" } },
	{ ID_MONITOR_DISASM0,	VMCap::ALL,	{ "disasm0" } },
	{ ID_MONITOR_DISASM1,	VMCap::ALL,	{ "disasm1" } },
	{ ID_MONITOR_DISASM2,	VMCap::ALL,	{ "disasm2" } },
	{ ID_MONITOR_DISASM3,	VMCap::ALL,	{ "disasm3" } },
	{ ID_MONITOR_DMAC,	VMCap::X68030,	{ "dmac" } },
	{ ID_MONITOR_FDC,	VMCap::X68030,	{ "fdc" } },
	{ ID_MONITOR_HOSTCOM,	VMCap::ALL,	{ "hostcom" } },
	{ ID_MONITOR_HOSTNET,	VMCap::LUNA|VMCap::NEWS,	{ "hostnet" } },
	{ ID_MONITOR_INTERRUPT,	VMCap::ALL,	{ "interrupt" } },
	{ ID_MONITOR_KEYBOARD,	VMCap::LUNA|VMCap::X68030,	{ "keyboard" } },
	{ ID_MONITOR_LANCE,	VMCap::LUNA|VMCap::NEWS,	{ "lance" } },
	{ ID_MONITOR_LCD,	VMCap::LUNA,	{ "lcd" } },
	{ ID_MONITOR_LUNAVC,	VMCap::LUNA,	{ "video" } },
	{ ID_MONITOR_MEMDUMP0,	VMCap::ALL,	{ "memdump0" } },
	{ ID_MONITOR_MEMDUMP1,	VMCap::ALL,	{ "memdump1" } },
	{ ID_MONITOR_MEMDUMP2,	VMCap::ALL,	{ "memdump2" } },
	{ ID_MONITOR_MEMDUMP3,	VMCap::ALL,	{ "memdump3" } },
	{ ID_MONITOR_MFP,	VMCap::X68030,	{ "mfp" } },
	{ ID_MONITOR_MK48T02,	VMCap::LUNA|VMCap::NEWS,	{ "mk48t02", "rtc" } },
	{ ID_MONITOR_MPUATC,	VMCap::M68K,	{ "mpuatc" } },
	{ ID_MONITOR_MPUREG,	VMCap::ALL,	{ "mpureg" } },
	{ ID_MONITOR_PIO0,	VMCap::LUNA,	{ "pio0" } },
	{ ID_MONITOR_RENDERER,	VMCap::LUNA|VMCap::X68030,	{ "renderer" } },
	{ ID_MONITOR_ROMCONS,	VMCap::NEWS,	{ "romcons" } },
	{ ID_MONITOR_RTC,	VMCap::X68030,	{ "rtc" } },
	{ ID_MONITOR_SCC,	VMCap::NEWS|VMCap::X68030,	{ "scc" } },
	{ ID_MONITOR_SCHEDULER,	VMCap::ALL,	{ "scheduler" } },
	{ ID_MONITOR_SCSIDEVS,	VMCap::LUNA|VMCap::X68030,	{ "scsidevs" } },
	{ ID_MONITOR_SIO,	VMCap::LUNA,	{ "sio" } },
	{ ID_MONITOR_SPC,	VMCap::LUNA|VMCap::X68030,	{ "spc" } },
	{ ID_MONITOR_SYSCLK,	VMCap::LUNA,	{ "sysclk" } },
	{ ID_MONITOR_WXHOSTINFO,	VMCap::ALL,	{ "wxhostinfo" } },

	{ ID_SUBWIN_BRHIST,	VMCap::ALL,	{ "brhist" } },
	{ ID_SUBWIN_CACHE0,	VMCap::M88K,	{ "cache0" } },
	{ ID_SUBWIN_CACHE1,	VMCap::M88K,	{ "cache1" } },
	{ ID_SUBWIN_CACHE2,	VMCap::M88K,	{ "cache2" } },
	{ ID_SUBWIN_CACHE3,	VMCap::M88K,	{ "cache3" } },
	{ ID_SUBWIN_CACHE4,	VMCap::M88K,	{ "cache4" } },
	{ ID_SUBWIN_CACHE5,	VMCap::M88K,	{ "cache5" } },
	{ ID_SUBWIN_CACHE6,	VMCap::M88K,	{ "cache6" } },
	{ ID_SUBWIN_CACHE7,	VMCap::M88K,	{ "cache7" } },
	{ ID_SUBWIN_DIPSW,	VMCap::LUNA|VMCap::NEWS,	{ "dipsw" } },
	{ ID_SUBWIN_EXHIST,	VMCap::ALL,	{ "exhist" } },
	{ ID_SUBWIN_LCDPANEL,	VMCap::LUNA,	{ "lcdpanel" } },
	{ ID_SUBWIN_LOG,	VMCap::ALL,	{ "log" } },
	{ ID_SUBWIN_LOGSETTING,	VMCap::ALL,	{ "logsetting" } },
	{ ID_SUBWIN_LUNAFB,	VMCap::LUNA,	{ "bitmap" } },
	{ ID_SUBWIN_PALETTE,	VMCap::LUNA,	{ "palette" } },
	{ ID_SUBWIN_ROM,	VMCap::LUNA|VMCap::X68030,	{ "rom" } },
	{ ID_SUBWIN_SOFTKEY,	VMCap::ALL,	{ "softkey" } },
	{ ID_SUBWIN_TEXTPAL,	VMCap::X68030,	{ "textpalette", "palette" } },
	{ ID_SUBWIN_TVRAM,	VMCap::X68030,	{ "tvram" } },
	{ ID_SUBWIN_VECTOR,	VMCap::ALL,	{ "vector" } },
};

/*static*/ const std::vector<std::pair<int, const char *>>
Monitor::idtext {
	{ ID_MONITOR_ATC0, "ID_MONITOR_ATC0" },
	{ ID_MONITOR_ATC1, "ID_MONITOR_ATC1" },
	{ ID_MONITOR_ATC2, "ID_MONITOR_ATC2" },
	{ ID_MONITOR_ATC3, "ID_MONITOR_ATC3" },
	{ ID_MONITOR_ATC4, "ID_MONITOR_ATC4" },
	{ ID_MONITOR_ATC5, "ID_MONITOR_ATC5" },
	{ ID_MONITOR_ATC6, "ID_MONITOR_ATC6" },
	{ ID_MONITOR_ATC7, "ID_MONITOR_ATC7" },
	{ ID_MONITOR_BREAKPOINT, "ID_MONITOR_BREAKPOINT" },
	{ ID_SUBWIN_BRHIST, "ID_SUBWIN_BRHIST" },
	{ ID_MONITOR_BT454, "ID_MONITOR_BT454" },
	{ ID_SUBWIN_CACHE0, "ID_SUBWIN_CACHE0" },
	{ ID_SUBWIN_CACHE1, "ID_SUBWIN_CACHE1" },
	{ ID_SUBWIN_CACHE2, "ID_SUBWIN_CACHE2" },
	{ ID_SUBWIN_CACHE3, "ID_SUBWIN_CACHE3" },
	{ ID_SUBWIN_CACHE4, "ID_SUBWIN_CACHE4" },
	{ ID_SUBWIN_CACHE5, "ID_SUBWIN_CACHE5" },
	{ ID_SUBWIN_CACHE6, "ID_SUBWIN_CACHE6" },
	{ ID_SUBWIN_CACHE7, "ID_SUBWIN_CACHE7" },
	{ ID_MONITOR_CMMU0, "ID_MONITOR_CMMU0" },
	{ ID_MONITOR_CMMU1, "ID_MONITOR_CMMU1" },
	{ ID_MONITOR_CMMU2, "ID_MONITOR_CMMU2" },
	{ ID_MONITOR_CMMU3, "ID_MONITOR_CMMU3" },
	{ ID_MONITOR_CMMU4, "ID_MONITOR_CMMU4" },
	{ ID_MONITOR_CMMU5, "ID_MONITOR_CMMU5" },
	{ ID_MONITOR_CMMU6, "ID_MONITOR_CMMU6" },
	{ ID_MONITOR_CMMU7, "ID_MONITOR_CMMU7" },
	{ ID_MONITOR_CRTC, "ID_MONITOR_CRTC" },
	{ ID_SUBWIN_DIPSW, "ID_SUBWIN_DIPSW" },
	{ ID_MONITOR_DISASM0, "ID_MONITOR_DISASM0" },
	{ ID_MONITOR_DISASM1, "ID_MONITOR_DISASM1" },
	{ ID_MONITOR_DISASM2, "ID_MONITOR_DISASM2" },
	{ ID_MONITOR_DISASM3, "ID_MONITOR_DISASM3" },
	{ ID_MONITOR_DMAC, "ID_MONITOR_DMAC" },
	{ ID_SUBWIN_EXHIST, "ID_SUBWIN_EXHIST" },
	{ ID_MONITOR_FDC, "ID_MONITOR_FDC" },
	{ ID_MONITOR_HOSTCOM, "ID_MONITOR_HOSTCOM" },
	{ ID_MONITOR_HOSTNET, "ID_MONITOR_HOSTNET" },
	{ ID_MONITOR_INTERRUPT, "ID_MONITOR_INTERRUPT" },
	{ ID_MONITOR_KEYBOARD, "ID_MONITOR_KEYBOARD" },
	{ ID_MONITOR_LANCE, "ID_MONITOR_LANCE" },
	{ ID_MONITOR_LCD, "ID_MONITOR_LCD" },
	{ ID_SUBWIN_LCDPANEL, "ID_SUBWIN_LCDPANEL" },
	{ ID_SUBWIN_LOG, "ID_SUBWIN_LOG" },
	{ ID_SUBWIN_LOGSETTING, "ID_SUBWIN_LOGSETTING" },
	{ ID_SUBWIN_LUNAFB, "ID_SUBWIN_LUNAFB" },
	{ ID_MONITOR_LUNAVC, "ID_MONITOR_LUNAVC" },
	{ ID_MONITOR_MEMDUMP0, "ID_MONITOR_MEMDUMP0" },
	{ ID_MONITOR_MEMDUMP1, "ID_MONITOR_MEMDUMP1" },
	{ ID_MONITOR_MEMDUMP2, "ID_MONITOR_MEMDUMP2" },
	{ ID_MONITOR_MEMDUMP3, "ID_MONITOR_MEMDUMP3" },
	{ ID_MONITOR_MFP, "ID_MONITOR_MFP" },
	{ ID_MONITOR_MK48T02, "ID_MONITOR_MK48T02" },
	{ ID_MONITOR_MPUATC, "ID_MONITOR_MPUATC" },
	{ ID_MONITOR_MPUREG, "ID_MONITOR_MPUREG" },
	{ ID_SUBWIN_PALETTE, "ID_SUBWIN_PALETTE" },
	{ ID_MONITOR_PIO0, "ID_MONITOR_PIO0" },
	{ ID_MONITOR_RENDERER, "ID_MONITOR_RENDERER" },
	{ ID_SUBWIN_ROM, "ID_SUBWIN_ROM" },
	{ ID_MONITOR_ROMCONS, "ID_MONITOR_ROMCONS" },
	{ ID_MONITOR_RTC, "ID_MONITOR_RTC" },
	{ ID_MONITOR_SCC, "ID_MONITOR_SCC" },
	{ ID_MONITOR_SCHEDULER, "ID_MONITOR_SCHEDULER" },
	{ ID_MONITOR_SCSIDEVS, "ID_MONITOR_SCSIDEVS" },
	{ ID_MONITOR_SIO, "ID_MONITOR_SIO" },
	{ ID_SUBWIN_SOFTKEY, "ID_SUBWIN_SOFTKEY" },
	{ ID_MONITOR_SPC, "ID_MONITOR_SPC" },
	{ ID_MONITOR_SYSCLK, "ID_MONITOR_SYSCLK" },
	{ ID_SUBWIN_TEXTPAL, "ID_SUBWIN_TEXTPAL" },
	{ ID_SUBWIN_TVRAM, "ID_SUBWIN_TVRAM" },
	{ ID_SUBWIN_VECTOR, "ID_SUBWIN_VECTOR" },
	{ ID_MONITOR_WXHOSTINFO, "ID_MONITOR_WXHOSTINFO" },
};
