//
// nono
// Copyright (C) 2022 nono project
// Licensed under nono-license.txt
//

//
// DIPSW 設定ウィンドウ
//

#pragma once

#include "wxsubwindow.h"

class WXScrollBar;

class WXDipswWindow : public WXSubWindow
{
	using inherited = WXSubWindow;
 public:
	WXDipswWindow(wxWindow *parent);
	~WXDipswWindow() override;

 private:
	void OnScroll(wxScrollEvent& event);

	// DIPSW を操作するスクロールバーコントロール
	std::vector<WXScrollBar *> dipsw {};
};
