<!--
 nono
 Copyright (C) 2020 nono project
 Licensed under nono-license.txt
-->
<html>
<?php require_once "common.php"; ?>
<body>
<h3>nono: changes</h3>

Grey colored items are experimental and are just a log for us developers.
<hr>
<div class="main1">
<dl>

<dt>0.4.4 (2022-10-27)
<dd><ul>
<li>vm(New): LUNA の 8bpp ボードに仮対応。
 <q>Support 8bpp board on LUNA provisionally.</q>
<li>vm(Fix): 設定項目 <tt>xxx-news-sci-ignore</tt> を <tt>xxx-news-sic-ignore</tt> に変更。
 <q>Change configuration item name from <tt>xxx-new-sci-ignore</tt> to
 <tt>xxx-new-sic-ignore</tt>.</q>
<li>vm(Fix): NWS-1750 の RAM が一部で配置されていなかったのを修正。
 <q>Fix a problem that RAM is not placed correctly.</q>
<li>vm(Fix): X68030 のパレットレジスタへのアクセスを修正。
 <q>Fix an access to X68030 palette registers.</q>
<li>m88k(Update): m88k コアのパフォーマンスを約 3% 改善。
 <q>Improve m88k core performance about 3%.</q>
<li>debugger(Fix): メモリブレークポイントが 0番地でも動作するよう修正。
 <q>Memory break point now works even on address 0.</q>
<li>host(Fix): ホストシリアルコンソールにペーストとかすると内部キューが
あふれていたのを修正。
 <q>Fix a queue overflow when many characters are pasted to the host
 serial console at a time.</q>
<li>GUI(New): メインウィンドウの表示倍率 x1.5, x2.0 を実装。
 <q>Implement x1.5 and x2.0 scale on the main window.</q>
<li>GUI(New): フォントサイズ 24 を追加。
 <q>Add fontsize 24.</q>
<li>GUI(New): 前面 LCD ウィンドウおよび LCD キャラクタモニタの大きさを
フォントサイズと連動させる。
 <q>Link the front LCD window size and LCD charactor monitor size
 to font size.</q>
<li>GUI(New): Bt454/458 モニタをビデオモニタから独立。
 <q>Split the Bt454/458 monitor from video monitor.</q>
<li>GUI(New): パレットモニタを実装。
 <q>Implement a palette monitor.</q>
<li>GUI(New): DIPSW 設定ウィンドウを実装。
 <q>Implement DIPSW setting window.</q>
<li>GUI(New): メモリの編集機能を実装。
 <q>Implement memory edit.</q>
<li>GUI(New): 逆アセンブラモニタを実装。
 <q>Implement disassemble monitor.</q>
<li>GUI(Update): メモリダンプモニタに表示形式の切り替えを実装。
MMU ディスクリプタの表示に対応。
 <q>Implement output format selector on the memory dump monitor,
and support MMU descriptor.</q>
<li>GUI(Update): メモリダンプモニタに1行移動ボタンを追加。
 <q>Implement one line up/down button on the memory dump monitor.</q>
<li>GUI(Update): メモリダンプモニタをマウスホイールに対応。
 <q>Support mouse wheel on the memory dump monitor.</q>
<li>GUI(Update): GTK コントロールは GTK パネルの上に置くように変更。
GTK 側のテーマ変更に対応するため。
 <q>Place a GTK control on the GTK panel correctly.</q>
<li>GUI(Update): デフォルトカタログを読み込まないように変更。
 一部のメッセージだけ(意図せず)翻訳された状態になるため。
 <q>Don't load the default catalog.
 Because it contains unintended translation.</q>
<li>build(New): wxWidgets-3.2 系でのビルドに対応。
 <q>Support wxWidgets 3.2 series.</q>
</ul>
<p>

<dt>0.4.3 (2022-08-27)
<dd><ul>
<li>m68k(Fix): PTESTR/PTESTW 命令のレベル0、レベル7 を実装。
 <q>Implement case level 0 and level 7 of PTESTR/PTESTW instructions.</q>
<li>m68k(Fix): TT0/1 レジスタの R/W ビットが指定された時の動作を修正。
 <q>Fix match behavior when R/W bit are set on TT0/1 registers.</q>
<li>m68k(Fix): ダブルバスフォールトでアプリケーションが応答出来なくなっていたのを修正。
 <q>Fix that an application becomes inoperable on double bus fault in VM.</q>
<li>m88k(Fix): 疑似 STOP の動作を改善。
 <q>Improve pseudo STOP behaviors.</q>
<li>vm(Update): LUNA-88K 内蔵 PROM の GETC/PUTC を(まじめに)実装。
 <q>Implement GETC/PUTC routines on LUNA-88K's internal PROM.</q>
<li>vm(New): NWS-1750 をサポートしてみるネタ。
 <q>Support NWS-1750.  It's just a joke.</q>
</ul>
<p>

<dt>0.4.2 (2022-08-03)
<dd><ul>
<li>vm(Update): LUNA-88K のメモリマップを実機に近づける。
 <q>Improve a memory map on LUNA-88K.</q>
<li>vm(Update): LUNA キーボードブザーの処理を改善。
ソフトウェアキーボードにインジケータを実装。
 <q>Improve a keyboard buzzer handling on LUNA.
 Implement the buzzer indicator on the software keyboard window.</q>
<li>vm(Update): LUNA-88K で PROM 1.20 使用時はメモリ上限を 240MB に制限する。
ROM コードの制約のため。
 <q>Limit maximum ram size to 240MB when using PROM 1.20 on LUNA-88K
 due to PROM code constraint.</q>
<li>vm(Update): TVRAM で水平スクロールが右にはみ出した時の挙動をたぶん実装。
 <q>Implement behaviors when TVRAM scroll protrudes to the right, probably.</q>
<li>vm(Fix): RFCNT の水平スクロール量を実機に合わせて修正。
 <q>Fix a horizontal scroll amount of RFCNT to match real machine.</q>
<li>m88k(Fix): m88200 キャッシュのライン無効化時のアドレスマスクを修正。
 <q>Fix an address mask when m88200 invalidates cache line.</q>
<li>m88k(Fix): 書き込みでキャッシュエントリ作成時のキャッシュステータスを修正。
 <q>Fix cache status when m88200 creates cache entry for writing.</q>
<li>debugger(Update): 例外履歴に非公式 NetBSD/luna88k のシステムコールを追加。
 <q>Add unofficial NetBSD/luna88k system call to the exception history.</q>
<li>app(Update): -X オプションで NetBSD カーネルのシンボル読み込みに対応。
 <q>-X option supports loading symbol tables in NetBSD kernel.</q>
<li>app(Fix): デバッガ使用時にアプリケーションが終了できない場合があったのを修正。
 <q>Fix a problem that application may not be able to be terminated
 when debugger is used.</q>
<li>app(Fix): Ctrl+Q でアプリケーションが終了してしまうのを修正。
 <q>Fix a silent termination when Ctrl+Q is entered.</q>
</ul>
<p>

<dt>0.4.1 (2022-07-24)
<dd><ul>
<li>vm(Fix): X68030 システムポートの電源オフ制御ポートに4回以上書き込んだ時に
不正終了していたのを修正。
 <q>Fix a problem that writing power-off control on the system port 4 or more
 times causes an abnormal termination on X68030.</q>
<li>vm(Fix): CMMU のログ表示で不正終了していた問題を修正。
 <q>Fix an abnormal termination on CMMU log.</q>
<li>vm(Fix): LUNA の ROM エミュレーション使用時にメニューの
「Press Power Button」で即電源が落ちるようになっていたのを修正。
 <q>Fix a problem that selecting "Press Power Button" menu when using
 LUNA ROM emulation causes a silent termination.</q>
<li>vm(Fix): LUNA-88K ROM エミュレーションで
キー入力によりハングアップする場合があったのを修正。
 <q>Fix a problem that may hang on keystrokes on LUNA-88K ROM emulation.</q>
<li>vm(Fix): LUNA でブザー発声中に再度ブザーコマンドが来ると
高速モードに戻れなくなっていた問題を修正。
 <q>Fix a problem that the full speed mode is suppressed parmanently
 when buzzer command is issued again during buzzer execution on LUNA.</q>
<li>vm(Update): BT454 設定値とホストカラーとのマッピングを少し明るく調整。
 <q>Adjust color mappings between BT454 value and the host palette.</q>
<li>host(Fix): Ubuntu ホストで [_] キーが入力できなかったのを修正。
 <q>Fix a problem that [_] key does not work on Ubuntu.</q>
<li>host(Fix): [F11] キーの入力が出来ていなかったのを修正。
 <q>Fix a problem that [F11] key does not work.</q>
<li>GUI(Fix): サブウィンドウがメイン画面の中心にある時でも
マウスモードに入れるようにする。
 <q>Entering the mouse mode now works even that some subwindows are
 displayed on the center of the mainwindoiw.</q> (Issue#1)
<li>GUI(New): LUNA フレームバッファ/X68030 TVRAM モニタでピクセル情報を表示。
 <q>Display the pixel information on LUNA Framebuffer/X68030 TVRAM monitor.</q>
<li>app(Update): -X で NetBSD/x68k カーネルの起動に対応。
 <q>-X option supports booting NetBSD/x68k kernel.</q>
</ul></dd>
<p>


<dt>0.4.0 (2022-06-18)
<dd><ul>
<li>vm(New): X68030 FDC/FDD と 2HD/2HC フロッピーを実装。
 <q>Implement FDC/FDD on X68030 and 2HD/2HC floppies.</q>
<li>vm(New): X68030 OPM レジスタの BUSY を実装。
 <q>Implement a BUSY state on OPM Registers on X68030.</q>
<li>vm(New): X68030 DMAC をもう少し実装。
 <q>Implement DMAC more.</q>
<li>vm(New): X68030 ROM ファイルの外部イメージパスを指定できるようにする。
 <q>Support to specify external image path for X68030 ROM.</q>
<li>vm(New): X68030 ROM30 エミュレーションを実装。NetBSD/x68k が起動する程度で
Human68k は起動できない。
 <q>Implement X68030 ROM30 Emulation.
 It can boot NetBSD/x68k but not Human68k.</q>
<li>vm(New): X68030 CGROM 外部イメージに 6x12 フォントがない場合警告を出す。
 <q>Warn if an external CGROM image doesn't contain 6x12 font on X68030.</q>
<li>vm(New): X68030 電源 LED と電源オフを実装。
 <q>Implement power LED and power off on X68030.</q>
<li>vm(New): X68030 SRAM の RAM 容量欄を設定値と同期するオプションを実装。
 <q>Implement an option that synchronize RAM size field in SRAM and actual RAM size on X68030.</q>
<li>vm(New): X68030 キーボードモニタ、TVRAM モニタを実装。
 <q>Implement keyboard monitor and TVRAM monitor.</q>
<li>vm(Update): X68030 SRAM ファイル名を "SRAM.DAT" に変更。
 <q>Change SRAM filename to "SRAM.DAT".</q>
<li>vm(Update): X68030 FPU 設定項目名を fpu-type に変更。
 <q>Change configuration keyname of FPU to fpu-type.</q>
<li>vm(Update): X68030 CRTC モニタに一部のレジスタを追加。
 <q>Add some registers to CRTC monitor on X68030.</q>
<li>vm(Fix): X68030 TVRAM のラスターコピーのタイミングとアクセス先を修正。
 <q>Fix timing and destination address of TVRAM raster copy on X68030.</q>
<li>vm(Fix): X68030 SCC のレジスタアクセスを修正。
 <q>Fix register access on SCC on X68030.</q>
<li>vm(Fix): X68030 SCC でビットレートをチャンネルごとに設定できるよう修正。
 <q>Fix to allow SCC bit rate to be set for each channel on X68030.</q>
<li>vm(Fix): X68030 マウスボタンが左右逆だったのを修正。
 <q>Fix reversed mouse buttons.</q>
<li>vm(Fix): X68030 本体の SCSI ID を 7 固定に変更。
 <q>Change SCSI ID to be fixed to 7 on X68030.</q>
<li>vm(Update): 実時間の再同期を実装。
 <q>Implement resynchronizing time.</q>
<li>m68k(Fix): 割り込みチェックのタイミングを修正。
 <q>Fix timing that MPU checks interrupts.</q>
<li>GUI(New): LUNA フレームバッファ/X68030 TVRAM モニタに拡大機能を実装。
 <q>Implement zoom in feature for LUNA Frame buffer/X68030 TVRAM monitor.</q>
<li>GUI(Fix): LUNA フレームバッファ/X68030 TVRAM モニタの最大サイズを正しく設定。
 <q>Fix the maximum window size of LUNA Frame buffer/X68030 TVRAM monitor
 window.</q>
<li>GUI(Fix): ベクタモニタのサイズを広げると死ぬ場合があったのを修正。
 <q>Fix an abnormal termination on vector monitor.</q>
<li>GUI(Fix): 更新レートが低い場合にスクロールの描画も遅くなっていたのを修正。
 <q>Fix drawing when update rate is low.</q>
<li>debugger(Fix): ver 0.3.0 以降 m68k でステップ実行中にリセット例外が起きた場合の動作を修正。
 <q>Fix m68k step execution when a reset exception occurs since 0.3.0.</q>
<li>debugger(Fix): ver 0.3.0 以降 m88k でステップ実行した時の命令位置を修正。
 <q>Fix m88k instruction pointer on step execution since 0.3.0</q>
<li>debugger(Update): ct コマンドを実装。
 <q>Implement a ct command.</q>
<li>app(Fix): ver 0.2.6 以降アプリケーションが終了できない場合があったのを修正。
 <q>Fix a problem that application may not be able to be terminated since
 0.2.6</q>
<li>app(Fix): マウスキャプチャが外れた場合に不正終了する場合があったのを修正。
 <q>Fix an abnormal termination when mouse capture is released.</q>
</ul></dd>
<p>


<dt>0.3.0 (2022/04/30)
<dd><ul>
<li>m88k(Update): m88200 のパフォーマンスを改善。
 <q>Improve performance of m88200.</q>
<li>m88k(New): m88200 の M バススヌープを実装。
 <q>Implement M bus snooping of m88200.</q>
<li>m88k(Fix): BATC の一部のフラグが動作に反映されていなかった問題を修正。
 <q>Fix a problem that some BATC flags were not reflected.</q>
<li>m68k(Fix): 割り込みタイミングを調整。
 <q>Adjust minor interrupt timings.</q>
<li>m68k(Fix): リセット例外でフェッチした PC が奇数アドレスなら
ダブルバスフォールトにするところを実装 (ただし通常は起きない)。
 <q>Implement double bus fault, which occurs when a reset exception fetches
 odd address PC. (However, it does not usually occur)</q>
<li>vm(Update): VM スケジューラと CPU 駆動方法を全面改装。
 <q>Rewrite VM scheduler and how to drive CPU completely.</q>
<li>vm(Update): VM 再起動で仮想時間をリセットする。
 <q>Reset virtual time when VM is reset.</q>
<li>vm(New): FDC と OPM を少し実装。
NetBSD/x68k カーネルが fdc プローブを通過できるのと
HD 起動の Human68k が起動できる程度。
 <q>Implement FDC and OPM a bit.
 Now NetBSD/x68k kernel can pass probing fdc, and
 Human68k can be booted from HD.</q>
<li>vm(New): SPC の DMA 転送を実装。NetBSD/x68k の CD 起動が可能。
 <q>Implement DMA transfer to/from SPC.
 Now NetBSD/x68k can be booted from CD.</q>
<li>vm(New): TVRAM のアクセスマスクを実装。
 <q>Implement an access mask of TVRAM.</q>
<li>vm(Fix): ver 0.2.6 以降動作してなかったフレームバッファ(テキスト画面)
の横スクロールを復活。
 <q>Revive horizontal scroll of frame buffer (text screen)
which is not worked since ver 0.2.6.</q>
<li>debugger(Fix): トレース表示でレジスタ値が更新されるよう修正。
 <q>Fix a problem that register values are not updated if trace modifier
 is specified.</q>
<li>host(Fix): libkqueue ではディスクリプタクローズで kevent が削除されない
問題に対応。
 <q>Address a problem that libkqueue does not automatically remove closed
 descriptors from kevent.</q>
<li>build(New): configure に --without-gui オプションを用意。
 <q>configure now supports --without-gui option.</q>
<li><span class=strike>debugger(Update): コンソールを HostCOM 機構に変更。
 <q>Change debugger console to HostCOM feature.</q></span>
<li><span class=strike>vm(Update): --force-rtc-fixed オプションを廃止、--perf オプションを追加。
 <q>Remove --force-rtc-fixed option and add --perf option for developpers.</q>
 </span>
</ul></dd>
<p>


<dt>0.2.6 (2022/02/15)
<dd><ul>
<li>m88k(Update): m88k コアのパフォーマンスを少し改善。
 <q>Improve the performance of m88k core slightly.</q>
<li>m68k(Fix): 68881 FCMP 命令の結果が正しくない場合があったのを動作を修正。
 <q>Fix 68881's FCMP instruction that may return wrong result.</q>
<li>vm(Update): レンダラをいろいろ改良、パフォーマンスを向上。
 <q>Improve the renderer including performance.</q>
<li>vm(Fix): SCSI イメージパスに絶対パスが書けなかった問題を修正。
 <q>Fix a problem that the absolute path for SCSI images could not be specified.</q>
<li>vm(Fix): SCSI ディスクの最終セクタのアクセスがエラーになっていたのを修正。
 <q>Fix a problem that accessing the last sector causes an error.</q>
<li>GUI(New): ベクタテーブルモニタを実装。
 <q>Implement a vector table monitor.</q>
<li>GUI(New): ログレベル設定ウィンドウを実装。
 <q>Implement a log level setting window.</q>
<li>GUI(Update): 各種ウィンドウの描画パフォーマンスを向上。
 <q>Improve performance of window drawing.</q>
<li>GUI(Fix): ビットマップモニタウィンドウの上部コントロールが塗りつぶされる問題を修正。
 <q>Fix a rendering problem of the control area on the bitmap plane window.</q>
<li>GUI(Fix): フォントサイズを変更するとビットマップモニタウィンドウが小さくなる問題を修正。
 <q>Fix a resize problem on the bitmap plane window.</q>
<li>app(Fix): シグナルの処理をいろいろ修正。
 <q>Fix several UNIX signal handling.</q>
<li>app(Fix): プロセス起動時に不正終了する場合があったのを修正。
 <q>Fix some abnormal terminations at the beginning of the process.</q>
<li>app(Fix): プロセス終了時に不正終了する場合があったのを修正。
 <q>Fix some abnormal terminations at the end of the process.</q>
<li><span class="strike">app(Fix): スレッド名が正しくないところを修正 (開発用)
 <q>Fix some thread names for development.</q></span>
<li><span class="strike">vm(Update): CRTC の水平同期信号を適当実装。
テキスト VRAM のラスターコピーを適当実装。
 <q>Implement the horizontal synchronizing signal on CRTC in progress.
 Implement the raster copy on the text VRAM in progress.</q></span>
</ul></dd>
<p>

<dt>0.2.5 (2021/12/30)
<dd><ul>
<li>vm(New): 4bpp プレーンに対応中。
 <q>Supporting 4bpp video plane.</q>
<li>vm(Fix): Lance(AM7990) でジャンボパケット送受信時のエラー処理を改善。
 <q>Fix error handlings of sending and receiving jumbo pakcets
 on Lance(AM7990).</q>
<li>vm(Fix): Lance(AM7990) の BSWP 処理を修正。
4.4BSD ゲストが動くように。
 <q>Fix a BSWP operation on Lance(AM7990).  This makes 4.4BSD work.</q>
<li>vm(Fix): RTC(MK48T02) の基準年を設定可能にする。
4.4BSD ゲストに対応するため。
 <q>Make RTC(MK48T02) epoch year configurable in order to support 4.4BSD.</q>
<li>vm(Fix): LUNA-88K の FUSEROM チェックバイトを実装。(Issue#99)
 <q>Implement a check byte in FUSEROM on LUNA-88K.</q>
<li>vm(Update): ROM エミュレーションで a.out の MID チェックを廃止。
 <q>The ROM emulation becomes not to verify a.out MID to boot.</q>
<li>vm(Update): LUNA-I ROM エミュレーションでも
^C で ROM に戻れるようにする。(Issue#95)
 <q>LUNA-I ROM Emulation accepts ^C to back to the ROM.</q>
<li>GUI(Update): ウィンドウ全体の描画性能を改善。
メインウィンドウの(拡大)縮小も自前で実装。
 <q>Improve whole window drawing scheme, and implement
 main window's reduction.</q>
<li>GUI(Fix): ウィンドウサイズがいろいろおかしかったのをたぶん修正。(Issue#77)
 <q>Fix many window size problems.</q>
<li>GUI(New): テキストウィンドウにコンテキストメニュー「コピー」を実装。
 <q>Implement "Copy" context menu on text windows.</q>
<li>Host(New): Linux でインタフェースの GRO が有効ならエラーにする。
 <q>Reject network interface GRO on Linux host.</q>
<li>Host(Fix): Linux でコアダンプが出力できるようにする。
 <q>Now it can dump a core even on Linux.</q>
</ul></dd>
<p>

<dt>0.2.4 (2021/11/22)
<dd><ul>
<li>Host(New): シリアルコンソールの stdio, tcp ホストドライバをサポート。
 <q>Support serial console host driver for stdio, tcp.</q>
<li>vm(New): キーボードの接続、取り外しをサポート。
 <q>Support keyboard connection/disconnection.</q>
<li>vm(New): ABORT ボタンを実装。
 <q>Implement an ABORT button.</q>
<li>vm(New): LUNA-88K ROM エミュレーションの PROM PUTCHAR(?) ルーチンに対応。
 <q>Supports PROM PUTCHAR(?) routine on LUNA-88K ROM emulation.</q>
<li>vm(Update): SIO(uPD7201), SCC(Z8530) を書き直して改良。
 <q>Rewrite and improve SIO(uPD7201) and SCC(Z8530).</q>
<li>vm(Update): MK48T02 NVRAM は全域を保存する。
 <q>MK48T02 now saves the whole NVRAM.</q>
<li>vm(Update): LUNA ROM エミュレーションでテンキーの入力も受け付ける。
 <q>LUNA ROM emulation accepts numpad keys as well as the real machine.</q>
<li>vm(Fix): MK48T02 のレジスタ読み出し値の ver 0.2.3 でのエンバグを修正。
 <q>Fix an MK48T02 degradation since ver 0.2.3 </q>
<li>vm(Fix): Lance(AM7990) で受信パケットが失われる場合があったのを修正。
 <q>Fix an issue that Lance(AM7990) may lose packets it received.</q>
<li>vm(Fix): Lance(AM7990) の CSR0 レジスタ INIT/STRT ビットの動作を修正。
 <q>Fix INIT/STRT bit behavior in CSR0 on Lance(AM7990).</q>
<li>m68k(Fix): FSAVE -(An) 命令を修正。
 <q>Fix an FSAVE -(An) instruction.</q>
<li>m88k(Fix): Data Access Exception 発生時の DMx レジスタの内容を修正。
 <q>Fix DMx registers when Data Access Exception occurs.</q>
<li>GUI(Fix): 例外履歴モニタの表示方向を修正。
 <q>Fix sort direction on the exception history monitor.</q>
<li>GUI(Fix): ver 0.2.2 以降アクセラレータキーが効かなくなっていたのを修正。
 <q>Fix accelaration keys not working since ver 0.2.2.</q>
<li>app(Update): -V オプションのキー名が正しくなければエラーにする、
また設定ファイルのキー名が正しくなければ警告を出すように変更。
 <q>Make an error if keyname of -V option is not correct.
 Make a warning if keyname in the configuration file is not correct.</q>
<li>build(Fix): clang11 でのビルド対応。
 <q>Fix build with clang11.</q>
<li><span class=strike>vm(New): --force-rtc-fixed オプションを追加。開発用。
 <q>Add --force-rtc-fixed option for developpers.</q></strike>
</dl></dd>
<p>

<dt>0.2.3 (2021/10/03)
<dd><ul>
<li>m88k(Fix): INT、NINT、TRNC、FCMP、FLDCR、FSTCR、FXCR 命令の動作を改善。
浮動小数点例外を実装。
 たぶん gcc が動くように。
 <q>Improve several floating point instructions and floating point exceptions.
 This may make gcc work.</q>
<li>vm(Update): uPD7201 (SIO) の Error Reset コマンドを実装。(Issue#65)
 <q>Implement the Error Reset command on uPD7201 (SIO).</q>
<li>vm(Update): LUNA キーボードコマンドを実装。
 <q>Implement all commands on LUNA keyboard.</a>
<li>vm(Fix): エミュレーション ROM 起動時にもキーボードコマンドを送信。
 <q>Emulated ROM now sends the keyboard commands on boot, as the real ROM
 does. </q>
<li>vm(Fix): LUNA の LED キー押下開放時の動作を修正。(Issue#83)
 <q>Fix the behaviors of LUNA LED key when it is pressed/released.</q>
<li>vm(Update): MK48T02 のレジスタ読み出しマスクを修正。(Issue#75)
 <q>Improve a read mask on MK48T02.</a>
<li>GUI(Update): ソフトウェアキーボードの CTRL、SHIFT キーの動作を変更。
 <q>Change CTRL, SHIFT key behavior on the software keyboard window.</q>
<li>app(Update): -X オプションが DIPSW に影響受けないように変更。
 <q>-X option is no longer affected by DIPSW.</q>
</ul></dd>
<p>

<dt>0.2.2 (2021/09/09)
<dd><ul>
<li>host(New): キー入力にキャラクタ入力モードを実装。(Issue#64)
 <q>Implement character input mode for keyboard input.</q>
<li>m88k(Fix): FLT 命令の動作を修正。
 <q>Fix a bug of FLT instruction.</q>
<li>vm(Fix): ver 0.2.0 以降 LUNA-88K の PROM エミュレーションが
	いろいろおかしかったのを修正。
 <q>Fix a few bugs in LUNA-88K PROM emulation since ver 0.2.0.</q>
<li>host(Update): ディスクイメージのアクセスを mmap(2) から read(2)/write(2)
	に変更。(Issue#60)
 <q>Change to use read(2)/write(2) instead of mmap(2) to access disk images.</q>
</ul></dd>
<p>

<dt>0.2.1 (2021/08/18)
<dd><ul>
<li>vm(New): SCSI CD と MO をサポート。(Issue#63)
 <q>Support SCSI CD and MO.</q>
<li>vm(Update): SCSI エミュレーションをいろいろ改善。
	ModeSelect(10)、ModeSense(10) コマンドを実装、
	SynchronizeCache コマンドを空で実装、
	StartStopUnit コマンドの LoEj(Load/Eject) ビットに対応、
	ModeSense コマンドのページ 04, 05, 08 をサポート。
	RequestSense コマンドのパラメータを修正。
 <q>Improve various things about SCSI emulation:
	Implement ModeSelect(10), ModeSense(10) command.
	Implement SynchronizeCache command as no-op.
	Support LoEj(Load/Eject) bit of StartStopUnit command.
	Support ModePage 04, 05 and 08 of ModeSense command.
	Fix RequestSense command parameters.</q>
<li>vm(Fix): 指定のアロケーション長で SCSI 転送を打ち切れるよう修正。
 <q>SCSI devices can terminate the SCSI transfer correctly
 at the specified allocation length.</q>
<li>vm(Fix): SCSI 転送速度制限(1MB/s)を実装。
 <q>Implement SCSI transfer speed limit.</q>
<li>vm(Fix): LUNA-88K PIO で DIPSW のビット配置を修正。(Issue#67)
 <q>Fix DIPSW pin placement in PIO on LUNA-88K.</q>
<li>vm(Fix): LUNA-88K システムコントローラのリセット動作を修正。
 <q>Fix a reset operation of LUNA-88K system controller.</q>
<li>vm(Update): RTC (MK48T02、RP5C15) エミュレーションを改善。
 <q>Improve RTC (MK48T02, RP5C15) emulations.</q>
<li>vm(Update): LCD エミュレーションを改善。(Issue#66)
 <q>Improve LCD emulation.</q>
<li>vm(Update): LUNA のマウス移動量が±1の時の動作を改善。
 <q>Improve LUNA mouse behavior when its movement amount is plus or minus 1.</q>
<li>m88k(Fix): add/sub 命令でオーバーフロー例外発生時の動作を修正。
 <q>Fix add/sub instruction behavior when it occurs overflow exception.</q>
<li>m88k(Fix): ジャンプ命令がジャンプ先アドレスをマスクしていなかったバグを修正。
 <q>Fix jump instructions' bug which doesn't mask the destination address.</q>
<li>app(Fix): ver 0.2.0 以降、特定の環境(Xsixel?)で起動時に VM 電源オンにならない問題を修正。(Issue#72)
 <q>Fix a bug that could not poweron on start under certain environment
 (Xsixel?) after ver 0.2.0.</q>
<li>app(Update): ステータスパネル SCSI インジケータで
イメージファイルパスをツールチップ表示。
 <q>Display filepath as a tooltip in SCSI indicators on the status panel.</q>
<li>app(Update): -A オプションを -X オプションに変更(移動)。
 <q>Change(rename) -A option to -X option.</q>
<li><span class=strike>app(Update): -X オプションを -H オプションに移動。
 <q>Change(rename) -X option to -H option.</q></span>
<li><span class=strike>m88k(New): デバッグ用ニーモニックを追加。
 <q>Implement an alternate mnemonic just for us.</q></span>
<li><span class=strike>m88k(Update): エミュレーション ROM で
UniOS-Mach の a.out ファイルをロードできるようにする。
 <q>Emulated ROM can boot UniOS-Mach a.out executable.</q></span>
<li><span class=strike>vm(New): X68k マウスを SCC に接続途中。
 <q>Trying to connect a mouse to SCC on X68k.</q></span>
</ul></dd>
<p>

<dt>0.2.0 (2021/06/20)
<dd><ul>
<li>vm(New): LUNA-88K の NVRAM をサポート。
 <q>Support LUNA-88K's NVRAM.</q>
<li>vm(New): LUNA-88K の内蔵 ROM コンソールに nvram コマンドを実装。
 <q>Support nvram command on LUNA-88K's emulated ROM console.</q>
<li>vm(Fix): ホストが受信したパケットの処理をいろいろ改善。
 <q>Various fixes for network packets received at the host.</q>
<li>vm(New): LUNA-I/LUNA-88K のシステムクロックに実時間同期モードをサポート
 (実験中)。
 <q>Support real-time synchronization mode on LUNA-I/LUNA-88K's system clock
 (experimental).</q>
<li>m88k(New): 疑似 STOP 状態をサポート。
 <q>Support pseudo stop status for m88k.</q>
<li>host(Update): ネットワークドライバあたりをいろいろ改善。
ホストがサポートしているものから実行時に選択する方式に変更。
そのため設定ファイル項目も変更。
 <q>Various changes on the host network drivers.</q>
<li>host(New): ホストネットワークドライバ AF_PACKET をサポート。
 <q>Add AF_PACKET as host network driver.</q>
<li>GUI(Update): ステータスパネルの表記を改善、LAN インジケータを追加、
HD にライトプロテクト状態を表示など。
 <q>Improve the status panel, including adding a LAN indicator,
 displaying write-protect icon on HD.</q>
<li>GUI(Update): メモリダンプモニタを4枚に増加。
 <q>Increase the number of memory dump windows to four.</q>
<li>GUI(Fix): サブウィンドウが正しいサイズで表示されない場合があったのを修正。
 <q>Fix window size problem under certain environment(?).</q>
<li>GUI(Fix): モニタとサブウィンドウあたりをいろいろ改善。
 <q>Fix/Improve various monitors and subwindows behaviors.</q>
<li>app(Update): -L, -M オプションをいろいろ改善。
 <q>Fix/Improve about -L and -M options.</q>
<li>debugger(Fix): m68k で TT のみが有効だとアドレスが表示できない場合があったのを修正。
<li><span class=strike>vm(New): -A オプションで ELF オブジェクトファイルのロードをサポート。
 <q>Support loading ELF object file on -A option.</q></span>
<li><span class=strike>vm(New): X68k キーボードのキーリピートを実装。
 <q>Implement key repeat feature on X68k keyboard.</q></span>
</ul></dd>
<br>

<dt>0.1.6 (2021/04/18)
<dd><ul>
<li>vm (Update): スケジューラをいろいろ改善。
 <q>Improve the scheduler.</q>
<li>vm (Update): キー入力をいろいろ改善。
キー入力をバッファリングする、
LUNA でのチャタリング抑制のためキー入力中は高速モードを抑制する、
キーコードは物理キーコードでなく論理キーコードを使うように変更、
その他バグ修正など。
 <q>Improve the key input:
 Buffer the keystrokes from the host.
 Suppress the full speed mode while any keys are pressed
 in order to prevent chattering on LUNA.
 Use the logical keycode instead of the phisical keycode.
 And several bugfixes.
<li>vm (Update): m68k, m88k のリセット例外を正しく実装。
 <q>Improve the reset exception of m68k, m88k.</q>
<li>vm (Fix): LUNA-88K のバスエラー領域を実装。PROM 1.20 が起動できる。
 <q>Implement the bus error area correctly on LUNA-88K.
 This makes PROM 1.20 work.</q>
<li>GUI (New): ステータスパネルを実装。
 <q>Implement a status panel.</q>
<li>GUI (Update): ソフトウェアキーボードを改修。
ソフトウェアキーボードウィンドウでもキー入力を受け付ける。
また現在のキー入力状態を反映して表示する。
 <q>Modify the software keyboard window.
 Accept keystrokes in this window as well.
 Also, the window displays the current keystroke status.</q>
<li>GUI (Fix): ウィンドウマネージャによっては(?)
ウィンドウが正しいサイズで表示されなかったのを修正。
 <q>Fix window size problem under certain window managers(?).</q>
<li>GUI (Fix): ログウィンドウをいろいろ修正。
 <q>Fix several problems on the log window.</q>
<li>debugger (Fix): m88k ニーモニックをちょっと修正。
 <q>Fix a few m88k mnemonics.</q>
</ul></dd>
<br>

<dt>0.1.5 (2020/12/05)
<dd><ul>
<li>vm (Update): m88k コアのパフォーマンスを改善。
 <q>Improve m88k performance.</q>
<li>vm (New): LUNA-88K に ROM エミュレーションを実装。とりあえず起動できる程度。
 <q>Implement emulated ROM for LUNA-88K.  For now, it only can boot.</q>
<li>vm (New): RAM 容量の変更をサポート。
 <q>Make the RAM size changable.</q>
<li>host (Update): OpenBSD の tap(4) に対応。
 <q>Support OpenBSD's tap(4).
<li>vm (Fix): LUNA-I の ROM エミュレーションが 0.0.3 および 0.1.4 以降
 いろいろおかしかったのを修正。
 <q>Fix several bugs on LUNA-I's emulated ROM since 0.0.3 and 0.1.4.</q>
<li>vm (Update): ROM エミュレーションの UFS 読み込み処理を改善。
 <q>Improve reading UFS on emulated ROM.
<li>vm (Fix): SIO(uPD7201) の受信キューが壊れるケースがあったのを修正。
 <q>Fix a bug that might break receive queue on SIO(uPD7201).</q>
<li>vm (Fix): SCSI 転送中に VM リセットすると不正終了していたのを修正。
 <q>Fix abnormal termination on resetting VM during SCSI transfer.</q>
<li>vm (Update): SPC の SCMD Intercept ビットのログを改善。
 <q>Improve a log message about SCMD Intercept bit on SPC.</q>
<li>app (Update): -c オプションに設定ファイル名も指定できるよう変更。
 <q>Make -c option acceptable configuration filename.</q>
</ul></dd>
<p>

<dt>0.1.4 (2020/11/20)
<dd><ul>
<li>vm (Fix): SCSI HD に WRITE(10) コマンドを実装。
 <q>Implement WRITE(10) command on SCSI HD.</q>
<li>vm (Fix): m88k の xmem.bu 命令のバグを修正。
 <q>Fix a bug on m88k xmem.bu instruction.</q>
<li>vm (Fix): m68k の STOP 命令や m88k の疑似 STOP
 状態で仮想時間がおかしくなる場合があるバグを修正。
 <q>Fix a bug that STOP instruction on m68k or pseudo STOP state on m88k
 may break virtual time.</q>
<li>vm (Fix): 0.1.3 以降 LUNA-I のエミュレーション ROM がキー入力を
 受け付けなくなっていたのを修正。
 <q>Fix a bug that LUNA-I emulated ROM does not accept any key inputs
 since 0.1.3.</q>
</ul></dd>
<p>

<dt>0.1.3 (2020/11/18)
<dd><ul>
<li>vm (Fix): m88k DAE エミュレーションを改善。
 <q>Improve DAE emulation on m88k.</q>
<li>vm (Fix): m88k ストア命令のバグを修正。
 <q>Fix a bug on m88k store instructions.</q>
<li>vm (Update): m88k の浮動小数点命令を実装中。
 <q>Implement floating point instructions.</q>
<li>vm (Fix): LUNA-88K の RAM が正しくアクセスできてなかったのを修正。
 <q>Fix incorrect RAM device assignment on LUNA-88K.</q>
<li>vm (Fix): LUNA-88K のシステムクロックデバイスが正しくアクセスできてなかったのを修正。
 <q>Fix accessing to the system clock device on LUNA-88K.</q>
<li>vm (Fix): uPD7201 (SIO) モニタの表示をいろいろ修正。
 <q>Various fixes on uPD7201 (SIO) monitor.</q>
<li>vm (Update): 割り込み周り全般を書き直し。
 <q>Rewrite and update whole around interrupt system.</q>
<li>vm (Update): SPC の SCMD Intercept ビットの動作を改善。
 <q>Improve SCMD's Intercept bit behavior on SPC.</q>
<li>debugger (Update): d,m コマンドなどメモリアクセス周りを改善。
 <q>Improve about memory access including d,m commands.</q>
<li>debugger (Update): 履歴のブランチ元に Supervisor/User 区分の表示を追加。
 <q>Show the Supervisor/User distinction of branch source address in
 branch windows.</q>
<li><span class=strike>vm (Update): X68k にダミーの OPM デバイスを用意。
 <q>Assign (currently no-op) OPM device on X68k.</q></span>
<li><span class=strike>vm (Update): MFP のタイマーの実装を改善中。
 <q>Improve MFP timer on X68k.</q></span>
</ul></dd>
<p>

<dt>0.1.2 (2020/10/28)
<dd><ul>
<li>build (Update): gcc5.5 以下はサポート外と明記。
<q>Mention explicitly that it does not support gcc5.5 or below.</q>
<li>vm (New): メモリとデバイスのアクセスウェイトをいくつか実装中。
<q>Implement access wait partially on some memory and devices.</q>
<li>vm (New): VM リセットを実装。<q>Implement VM reset.</q>
<li>vm (Fix): m88xx0 エミュレーションをいくつか改善。
OpenBSD/luna88k ユーザランドが少しだけ動くように。
<q>Improve some m88xx0 emulations.
This makes OpenBSD/luna88k userland apps work a little.</q>
<li>vm (Update): LUNA-88K の RAM 初期値を 64MB に変更。
<q>Change the initial value of LUNA-88K RAM to 64MB.</q>
<li>vm (Update): LUNA-88K の dipsw1 の初期値を変更。
<q>Change the initial value of LUNA-88K dipsw1.</q>
<li>debugger (Update): 設定の debugger-port の初期値を 0 に変更。
<q>Change the default value of debugger-port configuration field to 0.</q>
<li>debugger (Update): d, m, n, s, t, help コマンドを色々改良。
disp , reset コマンドを実装。
<q> Various improvements for d, m, n, s, t, and help commands.
Implement disp, reset commands.</q>
<li>wx (Fix): メインウィンドウの最大化とリサイズを不可にする。
<q>Disable main window's maximize and resize.</a>
<li>wx (Fix): ビッグエンディアン環境で wxIMAGE_QUALITY_HIGH
による縮小が化けるのを回避。
<q>Avoid broken resize using wxIMAGE_QUALITY_HIGH on big endian.</q>
</ul></dd>
<p>

<dt>0.1.1 (2020/10/06)
<dd><ul>
<li>host(Fix): sparc などのホストでミスアラインドアクセスで死ぬのを修正。
<q>Fix abnormal termination due to mis-aligned access on some architecture
hosts such as sparc.</q>
<li>vm (New): SCSI の Start Stop Unit コマンドをダミーで実装。
(OpenBSD カーネルが使っている)
<q>Implement SCSI Start Stop Unit command as no-op. (OpenBSD kernel uses it.)</q>
<li>vm (Fix): LUNA-I の PROM V4.22 以外はそのまま起動するようにしてみる。
<q>On LUNA-I, when PROM is other than V4.22, run it as is.</q>
<li>vm (Fix): SCSI コマンドがメディアサイズを超える位置やサイズを要求した時に死ぬのを修正。
<q>Fix abnormal termination when SCSI command requests exceeded position or length than actual media.</q>
<li>vm (Fix): LUNA-I エミュレーション ROM 上で、マウス操作でゴミが入力されるのを修正。
<q>Fix emitting garbage characters on mouse operation on LUNA-I emulated ROM.</q>
<li>GUI (New): LUNA のフロントパネル LCD ウィンドウを実装。
<q>Implement LUNA's front panel LCD window.</q>
<li>GUI (New): モニタウィンドウの更新頻度を設定可能にする。
<q>Make monitor window's refresh rate configureable.</q>
<li>GUI (New): ホスト情報ウィンドウ、ブレークポイントウィンドウ、履歴ウィンドウを実装。
<q>Implement host information window, breakpoint window, and
history window.</q>
<li>GUI (New): ログウィンドウのバックログを実装。
<q>Implement backlog of log window.</q>
<li>debugger (New): bi, bm, bv コマンドを実装。
<q>Implement bi, bm, and bv commands.</q>
<li>debugger (New): ブランチ履歴、例外履歴を実装。
<q>Implement branch history and exception history.</q>
<li>debugger (Fix): 逆アセンブラが 68020 の callm 命令で死んでいたのを修正。
<q>Fix abnormal termination when disassembling 68020 CALLM instruction.</q>
<li>vm (Fix): LUNA-88K 用の luna-dipsw1 の初期値を用意。
<q>luna-dipsw1 uses a different initial value for LUNA-88K.</q>
<li><span class=strike>vm (Update): X68k TVRAM レンダリングを改良。
<q>Improve performance on X68k TVRAM rendering.</q></span>
<li><span class=strike>debugger (Fix): 逆アセンブラで moveq.l が %d0 でない時にも IOCS コールと解釈していたのを修正。</span>
</ul></dd>
<p>

<dt>0.1.0 (2020/07/19)
<dd><ul>
<li>build(Fix): OpenBSD/FreeBSD でビルド可能に。
<q>Make it buildable on OpenBSD/FreeBSD.</q>
<li>GUI(Update): GUI メニューの L10N 対応
(GUI メニュー以外(ログメッセージなど)については当面対応予定はないです)。
<q>Support L10N for GUI menus
(There are no plans to support more messages (like log messages)
at least for now).</q>
<li>GUI(Fix): サブウィンドウを表示しているとマウスモードでクリック入力が入らなかった問題を修正。
<q>Fix problem that you can not enter any clicks in mouse mode
when you display some sub windows.</q>
<li>vm(New): m88k の疑似 STOP 状態に対応。
<q>Support pseudo STOP state on m88k.</q>

</ul></dd>
<p>


<dt>0.0.4 (2020/06/13)
<dd><ul>
<li>vm(Fix): 例外ベクタ取得中のバスエラーで死んでいたのを修正。
<q>Fix abnormal termination when fetching exception vector causes bus error.</q>
<li>vm(Update): ダブルバスフォールトを通知。
<q>Notify when double bus fault has occurred.</q>
<li>vm(New): m88100 の改良と m88200 を実装中。
OpenBSD/luna88k カーネルが起動しますが、
まだユーザランドに入るあたりまでです。
<q>Improve m88100 and implement m88200.
It can run OpenBSD/luna88k kernel and
it has just entered in userland.
</q>
<li><span class=strike>vm(New): x68k の MFP、DMAC を適当実装したので
実は NetBSD/x68k ブートローダまでは起動します。
CRTC が不完全なのでスクロールはまだできません。
<q>Implement MFP and DMAC in underground x68k mode.
It can run NetBSD/x68k boot loader.
However, CRTC emulation is not completed yet,
so you cannot scroll text.</q></span>
</ul></dd>
<p>

<dt>0.0.3 (2020/05/16)
<dd><ul>
<li>vm(New): ROM モニタエミュレーションを実装。<q>Support emulated ROM monitor.</q>
<li>vm(New): 地下で m88k 実装開始。
今のところ OpenBSD/luna88k のブートローダが起動できるだけです。
<q>Start to implement m88k in underground.
It just can run OpenBSD/luna88k's boot loader for now.
</q>
</ul></dd>
<p>

<dt>0.0.2 (2020/04/21)
<dd><ul>
<li>vm(New): SCSI エミュレーションを改善。<q>Improve(Reimplement) SCSI emulation.</q>
<li>vm(New): マウスをサポート。<q>Support mouse.</q>
<li>vm(Fix): RFCNT の Y 座標を修正。<q>Fix Y coordinate of RFCNT.</q>
</ul></dd>
<p>

<dt>0.0.1 (2020/03/06)
<dd><ul>
<li>Initial Release
</ul></dd>

</dl>
</div>
<hr>
nono project
</body>
</html>
