//
// nono
// Copyright (C) 2021 nono project
// Licensed under nono-license.txt
//

//
// シリアルポートの None ドライバ
//

#pragma once

#include "comdriver.h"

class COMDriverNone : public COMDriver
{
	using inherited = COMDriver;
 public:
	COMDriverNone(HostDevice *hostdev_);
	~COMDriverNone() override;

	int Read() override;
	void Write(uint32 data) override;
};
