//
// nono
// Copyright (C) 2020 nono project
// Licensed under nono-license.txt
//

//
// プリンタポート
//

#pragma once

#include "device.h"

class PrinterDevice : public IODevice
{
	using inherited = IODevice;

	static const int baseaddr = 0xe8c000;

 public:
	PrinterDevice();
	virtual ~PrinterDevice() override;

	uint64 Read8(uint32 addr) override;
	uint64 Read16(uint32 addr) override;
	uint64 Write8(uint32 addr, uint32 data) override;
	uint64 Write16(uint32 addr, uint32 data) override;
	uint64 Peek8(uint32 addr) override;
};

extern PrinterDevice *gPrinter;
