//
// nono
// Copyright (C) 2022 nono project
// Licensed under nono-license.txt
//

//
// VM (NEWS)
//

#pragma once

#include "vm.h"

class VM_NEWS : public VM
{
	using inherited = VM;
 public:
	VM_NEWS();
	virtual ~VM_NEWS() override;

	bool Init() override;

 protected:
	std::unique_ptr<Device> pDipsw {};
	std::unique_ptr<Device> pNewsfb {};
	std::unique_ptr<Device> pNewsIO {};
	std::unique_ptr<Device> pNewsCtlr {};
	std::unique_ptr<Device> pPROM {};
};
